/*
 File: TS_la7sym.cpp
 Date and Time: Sat Oct 11 20:57:16 2014 
*/
#include "TS_la7.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_TS_la7;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_TS_la7::TH_TS_la7(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_TS_la7;
  NS_TS_la7::CTS_la7 CTS_la7_;// parallel-parser's parse table
#define ssPARSE_TABLE CTS_la7_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_TS_la7::PROC_TH_TS_la7(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_TS_la7";
  static bool one_time(false);
  static NS_TS_la7::CTS_la7* NS_TS_la7_CTS_la7_(0);// parallel-parser's fsm table
  static Parser* NS_TS_la7_CTS_la7_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_TS_la7_CTS_la7_ = new NS_TS_la7::CTS_la7();// parallel-parser's fsm table
    NS_TS_la7_CTS_la7_parser = new Parser(*NS_TS_la7_CTS_la7_,Caller_pp);
  }
 proc_parser = NS_TS_la7_CTS_la7_parser;
#include "wproc_pp_core.h"
}
void 
CTS_la7::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Reol_:{
       Reol* sym;
     if(re->rule_ == 0){
       sym = new Reol(parser__);
       re->rule_ = sym;
     }else{
       sym = (Reol*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rdelimiters_:{
       Rdelimiters* sym;
     if(re->rule_ == 0){
       sym = new Rdelimiters(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdelimiters*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rdelimiters_:{
       Rdelimiters* sym;
     if(re->rule_ == 0){
       sym = new Rdelimiters(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdelimiters*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs3_Rdelimiters_:{
       Rdelimiters* sym;
     if(re->rule_ == 0){
       sym = new Rdelimiters(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rdelimiters*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rminus_la_:{
       Rminus_la* sym;
     if(re->rule_ == 0){
       sym = new Rminus_la(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rminus_la*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_RUPPER_A_M_:{
       RUPPER_A_M* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_A_M(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_A_M*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_RUPPER_N_Z_:{
       RUPPER_N_Z* sym;
     if(re->rule_ == 0){
       sym = new RUPPER_N_Z(parser__);
       re->rule_ = sym;
     }else{
       sym = (RUPPER_N_Z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rlower_a_m_:{
       Rlower_a_m* sym;
     if(re->rule_ == 0){
       sym = new Rlower_a_m(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_a_m*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs11_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs12_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs13_Rlower_n_z_:{
       Rlower_n_z* sym;
     if(re->rule_ == 0){
       sym = new Rlower_n_z(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rlower_n_z*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs3_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs4_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs5_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs6_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs7_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs8_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs9_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs10_RNUMBERS_:{
       RNUMBERS* sym;
     if(re->rule_ == 0){
       sym = new RNUMBERS(parser__);
       re->rule_ = sym;
     }else{
       sym = (RNUMBERS*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    default: return;
   }
}
